extends "res://src/Spell.gd"

var sound_sacrifice = preload("res://sound/sacrifice-0.wav")

var asp

func _ready():
  castingTime = 0.8
  asp = AudioStreamPlayer.new()
  self.add_child(asp)
  
func effect1():
  pass

func effect2():
  $"/root/World/ys/player".slaughter_lamb()
  if not asp.is_playing():
    asp.set_volume_db(-10)
    asp.stream = sound_sacrifice
    asp.play()